Subject: Re: [bug#32008] [PATCH] gnu: ledger: Skip failing test.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 03 Jul 2018 21:22:46 +0200

Arun Isaac <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> It would be nice to make separate patches for unrelated things (for
>> instance invoke and phase returns have nothing to do with skipping the
>> test), but otherwise LGTM.
>
> I bunched these together because the invoke change and home-page change
> were fairly minor things. But, if you insist, I'll push these as three
> separate commits (one for skipping the test, one for invoke/phase
> returns, and one for the home-page change).

Honestly it doesn’t matter much here, but what I like about
one-patch-for-one-thing is that it makes review and bug hunting (when
you later run ‘git annotate’ to understand what happened) easier.

>>> +       ;; Skip failing tests during the check phase.
>>> +       #:make-flags (list "ARGS=-E BaselineTest_cmd-org")
>>
>> Do you have more info about the test or an upstream bug report?
>
> Yes, this is a known upstream bug. It exists even in the latest git
> checkout.
>
> https://github.com/ledger/ledger/issues/550
>
> I also posted to this bug report mentioning our problem in GuixSD. I
> will leave the URI to this bug report in the comments before
> #:make-flags.

Perfect.

> Shall I push with the above mentioned changes?

Sure!

Thank you,
Ludo’.